Instalação

Esta extensão » PECL não é distribuída junto com o PHP. Informações para instalar essa extensão PECL pode ser encontrada no capítulo Instalação de Extensões PECL. Informações adicionais como novas versões, downloads, arquivos fontes, manutenções e CHANGELOG podem ser encontrados aqui: » http://pecl.php.net/package/memcache.

Nota:

It's possible to disable memcache session handler support. The 'pecl install' option prompts for this (default is enabled) however when compiling statically into PHP the --disable-memcache-session configure option may be used.

add a note add a note

User Contributed Notes 7 notes

up
19
mit at mitayai dot org
6 years ago
It is very important to note when reading the information supplied by others on this page that there are two *distinct* memcache PHP implementations for the service "memcached".

1) pecl-memcache
2) pecl-memcached

This page is for the first, pecl-memcache.

If you are looking for pecl-memcached information, visit here:

http://www.php.net/manual/en/book.memcached.php
up
3
no at spam4me dot com
6 years ago
#if apt-get, rpm, or yum doesn't work
cd /usr/src/
wget http://pecl.php.net/get/memcache-2.2.4.tgz
tar -zxvf memcached-2.2.4.tgz
cd memcached-2.2.4
phpize && ./configure --enable-memcache && make
cp modules/memcache.so /usr/lib/php/modules/

# Note: packaged extension modules are now loaded via the .ini files
# found in the directory /etc/php.d
touch /etc/php.d/memcached.ini
echo 'extension=memcache.so' > /etc/php.d/memcached.ini

service httpd restart
up
-2
Felipe Estrella Barros
4 years ago
On Slackware, after copilling it, you should copy the file /module/memcache.so to /usr/lib/httpd/modules. Then, the instruction extension=memcache.so must be added into the file /etc/httpd/php.ini

Restart the httpd and it should work!
up
-2
mykel dot alvis at gmail dot com
8 years ago
on Fedora, apparently

yum install php-pecl-memcache
up
-13
andryzeus at ukr dot net
4 years ago
If you have error with libtool version after make - way to install:
phpize --clean && phpize
rm aclocal.m4
aclocal
autoconf
./configure
make
make install
[memcache-2.2.6, gentoo.x86-64]
up
-13
pesdguy at yahoo dot co dot in
6 years ago
For xampp if you need to install memcache

use this place for all version
:
http://downloads.php.net/pierre/
up
-18
Wayne
8 years ago
Newer PHP versions don't have a --enable-memcache options; simply installing the PECL package will be enough... so to be absolutely clear, you WON'T have to recompile PHP to use memcache.  That paragraph above seems like a bad case of earlier version documentation editing.
To Top